Get Transaction Comment
get
/rest/v19/commerceDocumentsOraclecpqoTransaction/{id}/_s_transactionComments_t/{_row_number}
Use this endpoint to retrieve the specified transaction comment.
Request
Supported Media Types
- application/json
Path Parameters
-
_row_number(required): integer
Unique row number to be used as row identifier in an array set.
-
id(required): integer
Current unique user-side ID. This is the internal identifier for a transaction within a CPQ site.
Query Parameters
-
excludeFieldTypes: string
Exclude specified field types.
Response
Supported Media Types
- application/json
Default Response
Root Schema : Comments
Type:
objectTitle:
Show Source
Comments-
_bs_id:
integer
Title:
_bs_id_bs_id -
_currency_pref:
object _currency_pref
Title:
_currency_pref -
_document_number:
integer
Title:
_document_number_document_number -
_row_number:
integer
Title:
_row_number_row_number -
_s_commentDate:
string
Title:
Activity DateThe date of comment/system activity -
_s_commentor:
string
Title:
CommentorName of the person who created this comment. -
_s_customerComment:
string
Title:
MessageThe comment text or system activity message. -
_s_isInternalComment:
boolean
Title:
Is Internal CommentDetermines if this comment should be visible to customer/buyer persona. -
_s_type:
object Type
Title:
Type -
_sequence_number:
integer
Title:
_sequence_number_sequence_number -
_state:
object state
Title:
stateCaptures the current state of the resource row. Of available properties, only those that are applicable and whose values are known in the current context are included.
Nested Schema : _currency_pref
Type:
objectTitle:
Show Source
_currency_pref-
currencyCode:
string
Title:
Currency CodeUnique currency code for the currency. -
id:
integer
Title:
IdPrimary Key of the currency resource.
Nested Schema : Type
Type:
objectTitle:
Show Source
Type-
displayValue:
string
Title:
displayValue -
value:
string
Title:
value
Nested Schema : state
Type:
objectTitle:
stateCaptures the current state of the resource row. Of available properties, only those that are applicable and whose values are known in the current context are included.
Show Source
-
actions:
object Actions
Title:
ActionsCaptures the current state of each action whose state was requested. The object contains one property per action, where the property name is the variable name for the action. -
attributes:
object Attributes
Title:
AttributesCaptures the current state of each attribute whose state was requested. The object contains one property per group, where the property name is the resource field name for the attribute. -
deletable:
boolean
Title:
DeletableBoolean value that specifies whether the row can be deleted. -
focus:
object Focused Users
Title:
Focused UsersDetails about users who are focused on this item. The object contains one property per focused user, where the property name is the user's unique identifier. -
hasError:
boolean
Title:
Has ErrorBoolean value that specifies whether any error that occurred has been assigned to the row itself. -
hasWarning:
boolean
Title:
Has WarningBoolean value that specifies whether any warning that was issued has been assigned to the row itself. - hidden: boolean
-
messages:
array Messages
Title:
MessagesArray of messages that have been generated for a specific object. -
updatable:
boolean
Title:
UpdatableBoolean value that specifies whether the row can be updated.
Nested Schema : Actions
Type:
objectTitle:
ActionsCaptures the current state of each action whose state was requested. The object contains one property per action, where the property name is the variable name for the action.
Nested Schema : Attributes
Type:
objectTitle:
AttributesCaptures the current state of each attribute whose state was requested. The object contains one property per group, where the property name is the resource field name for the attribute.
Nested Schema : Focused Users
Type:
objectTitle:
Focused UsersDetails about users who are focused on this item. The object contains one property per focused user, where the property name is the user's unique identifier.
Nested Schema : Messages
Type:
arrayTitle:
MessagesArray of messages that have been generated for a specific object.
Show Source
-
Array of:
string
An error, warning, or informational message.
Examples
The following example shows how to retrieve the specified transaction comment by submitting a GET request to the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X GET -H "Authorization: Bearer <token>" -H "Accept: application/json" https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/40155914/_s_transactionComments_t/2
Response Body Sample
{
"_sequence_number": 2,
"_document_number": 1,
"_s_commentDate": "2024-08-29T14:31:00Z",
"_s_commentor": "Adam Jones",
"_currency_pref": {
"id": 5190368,
"currencyCode": "USD",
"links": [{
"rel": "domain",
"href": "https://sitename.oracle.com/rest/v19/currencies"
}, {
"rel": "canonical",
"href": "https://sitename.oracle.com/rest/v19/currencies/USD"
}
]
},
"_bs_id": 40155914,
"_row_number": 2,
"_s_customerComment": "Accepting the Quote",
"_s_isInternalComment": true,
"links": [{
"rel": "self",
"href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/40155914/_s_transactionComments_t/2"
}, {
"rel": "parent",
"href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/40155914"
}
]
}